/*
    Dobrovodny priklad k bakalarske praci Vyvoj webovych aplikaci pomoci
    frameworku JavaServer Faces.
    Copyright © 2009 David Hanel.
*/

package priklady;

import java.util.Locale;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import javax.faces.event.ValueChangeEvent;
import javax.faces.model.SelectItem;

public class Aukce {
    private Float aktualniCastka = 1f;
    private Float prihozenaCastka;
    private String mena;
    private SelectItem[] meny = {
        new SelectItem("cz"),
        new SelectItem("us")
    };

    public Float getAktualniCastka() {
        return aktualniCastka;
    }

    public void setAktualniCastka(Float aktualniCastka) {
        this.aktualniCastka = aktualniCastka;
    }

    public Float getPrihozenaCastka() {
        return prihozenaCastka;
    }

    public void setPrihozenaCastka(Float prihozenaCastka) {
        this.prihozenaCastka = prihozenaCastka;
    }

    public String getMena() {
        return mena;
    }

    public SelectItem[] getMeny() {
        return meny;
    }

    public void setMena(String mena) {
        this.mena = mena;
    }

    public void zmenaMeny(ValueChangeEvent event) {
        if (((String)event.getNewValue()).equals("us")) {
            FacesContext.getCurrentInstance().getViewRoot().setLocale(Locale.US);
        } else {
            FacesContext.getCurrentInstance().getViewRoot().setLocale(new Locale("cs", "CZ"));
        }
    }

    public void prihozenaCastkaAkce(ActionEvent event) {
        setAktualniCastka(aktualniCastka + prihozenaCastka);
    }
}
